# -*- perl -*-

# Copyright (c) 2002 by Jeff Weisberg
# Author: Jeff Weisberg <argus @ tcp4me.com>
# Date: 2002-Nov-01 11:02 (EST)
# Function: various constants used in graph data file
#
# $Id: graph.ph,v 1.3 2002/11/11 19:39:50 jaw Exp $

$MAGIC = "AGD3";
$HDR_SIZE   = 1024;
$SAMP_START = $HDR_SIZE;
$SAMP_SIZE  = 16;
$SAMP_NMAX  = 2048;
$HOURS_START= $SAMP_START + $SAMP_SIZE * $SAMP_NMAX;
$HOURS_SIZE = 32;
$HOURS_NMAX = 1024;
$DAYS_START = $HOURS_START + $HOURS_SIZE * $HOURS_NMAX;
$DAYS_SIZE  = 32;
$DAYS_NMAX  = 1024;

# these will work portably as long as the system uses IEEE floats
sub store_float {
    my $f = shift;
    unpack("L", pack("f", $f));
}

sub read_float {
    my $l = shift;
    unpack("f", pack("L", $l));
}

sub store_dbl {
    my @f = @_;

    unpack("LL", pack("d", @f));    # XXX
}

sub read_dbl {
    my @l = @_;
    unpack("d", pack("LL", @l));    # XXX
}

